Bug 868368 - Seam2.3 JBDS 5.0.1 New Seam Web project generates invalid <driver> element in datasource XML files
Seam2.3 JBDS 5.0.1 New Seam Web project generates invalid <driver> element in...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.1.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: 2.1.0
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 11:29 EDT by Marek Schmidt
Modified: 2013-03-22 09:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: The New Seam Web Project wizard in JBDS 5.0.1 generates invalid <driver/> element in datasource XML files (e.g. <driver>[Ljava.lang.String;@33a40908</driver>, instead of <driver>mysql-connector-java-5.1.17.jar</driver>). Consequence: Such broken datasource would not deploy. Workaround (if any): * Manually edit the generated datasource file <driver/> element, replacing the generated value with the name of the driver deployment. * Use a newer version of JBDS. (version 6 is currently in beta) Result: Fixed datasource will deploy.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-10-19 11:29:23 EDT
Description of problem:

The New Seam Web Project wizard in JBDS 5.0.1 generates invalid <driver/> element in datasource XML files.

e.g.

<?xml version="1.0" encoding="UTF-8"?>
<datasources xmlns="http://www.jboss.org/ironjacamar/schema">
    <datasource 
        jndi-name="MyEarProjectDatasource"
        enabled="true" 
        use-java-context="true" pool-name="MyEarProjectDatasource_pool">
        <connection-url>jdbc:mysql://vmg08.mw.lab.eng.bos.redhat.com/seam4</connection-url>
        <driver>[Ljava.lang.String;@33a40908</driver>
        <security>
		      <user-name>seam</user-name>
		      <password>seam</password>
        </security>
    </datasource>
</datasources>

(instead of something sane, e.g. <driver>mysql-connector-java-5.1.17.jar</driver> )

Version-Release number of selected component (if applicable):
jboss-seam-2.3.0.Final-redhat-1

How reproducible:
Always

Steps to Reproduce:
1. Generate a new Seam Web Project
2. Configure a new MySQL datasource
  
Actual results:
Application fails to deploy

Expected results:
Application should deploy
Comment 1 Marek Novotny 2012-10-22 03:41:32 EDT
This JBDS issue is fixed in JBT 4.0.x, so JBDS 6.x should have the fix too. https://issues.jboss.org/browse/JBIDE-12491.
Comment 2 Marek Novotny 2012-10-30 08:34:05 EDT
The fix is in JBoss Tools 3.3.2 and 4.0.0.Alpha.
Comment 4 Tomas Remes 2012-11-12 06:49:26 EST
Verified in JBDS 6.0.0.Beta2.
Comment 5 Karel Piwko 2012-11-30 10:34:50 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.